Subject: Re: [PATCH net-next v1 1/1] net: phy: add remote fault support

From: Jakub Kicinski <[email-masked]>
Date: Thu, 16 Jun 2022 08:57:32 -0700

On Thu, 16 Jun 2022 11:34:51 +0200 Oleksij Rempel wrote:
> > It is also a bit unclear, but at the moment, i think user
> > space. However, i can see the kernel making use of maybe RF TEST to
> > ask the link peer to go quiet in order to perform a cable test.
> > 
> > Oleksij, what are your use cases?  
> 
> Currently I was thinking only about diagnostic:
> - request transmit pause for cable testing
> - request remote loopback for selftest. In this case I will need to use
>   vendor specific NextPage to request something like this.

Both of those are performed by the kernel, so perhaps we should focus
the interface on opting into the remote fault support but have the
kernel trigger setting and clearing the bits?